package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.entity.Student;
import com.ym.mec.biz.dal.enums.GroupType;
import com.ym.mec.biz.dal.enums.TeachModeEnum;

import java.math.BigDecimal;
import java.math.RoundingMode;
import java.util.Date;

/**
 * @Author Joburgess
 * @Date 2020.05.27
 */
public class StudentServeDto extends Student {

    private GroupType groupType;

    private TeachModeEnum teachMode;

    private Date courseStartTime;

    private String musicGroupName;

    private String servePeriod;

    private String serveNum;

    private Integer actualExercisesNum;

    private Integer exercisesReplyNum;

    private Integer exercisesMessageNum;

    private BigDecimal signRate;

    private BigDecimal passRate;

    public GroupType getGroupType() {
        return groupType;
    }

    public void setGroupType(GroupType groupType) {
        this.groupType = groupType;
    }

    public TeachModeEnum getTeachMode() {
        return teachMode;
    }

    public void setTeachMode(TeachModeEnum teachMode) {
        this.teachMode = teachMode;
    }

    public Date getCourseStartTime() {
        return courseStartTime;
    }

    public void setCourseStartTime(Date courseStartTime) {
        this.courseStartTime = courseStartTime;
    }

    public String getMusicGroupName() {
        return musicGroupName;
    }

    public void setMusicGroupName(String musicGroupName) {
        this.musicGroupName = musicGroupName;
    }

    public String getServePeriod() {
        return servePeriod;
    }

    public void setServePeriod(String servePeriod) {
        this.servePeriod = servePeriod;
    }

    public String getServeNum() {
        return serveNum;
    }

    public void setServeNum(String serveNum) {
        this.serveNum = serveNum;
    }

    public Integer getActualExercisesNum() {
        return actualExercisesNum;
    }

    public void setActualExercisesNum(Integer actualExercisesNum) {
        this.actualExercisesNum = actualExercisesNum;
    }

    public Integer getExercisesReplyNum() {
        return exercisesReplyNum;
    }

    public void setExercisesReplyNum(Integer exercisesReplyNum) {
        this.exercisesReplyNum = exercisesReplyNum;
    }

    public Integer getExercisesMessageNum() {
        return exercisesMessageNum;
    }

    public void setExercisesMessageNum(Integer exercisesMessageNum) {
        this.exercisesMessageNum = exercisesMessageNum;
    }

    public BigDecimal getSignRate() {
        return signRate;
    }

    public void setSignRate(BigDecimal signRate) {
        if (null != signRate) {
            this.signRate = signRate.setScale(2, RoundingMode.HALF_UP);
        }
    }

    public BigDecimal getPassRate() {
        return passRate;
    }

    public void setPassRate(BigDecimal passRate) {
        if (null != passRate) {
            this.passRate = passRate.setScale(2, RoundingMode.HALF_UP);
        }
    }
}
